## org.exist.xmldb.test
Class CollectionConfigurationTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.CollectionConfigurationTest

All Implemented Interfaces:
  junit.framework.Test

public class CollectionConfigurationTest
extends junit.framework.TestCase

Constructor Summary
`CollectionConfigurationTest()`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testCollectionConfigurationService1()`
`void` `testCollectionConfigurationService2()`
`void` `testCollectionConfigurationService3()`
`void` `testCollectionConfigurationService4()`
`void` `testCollectionConfigurationService5()`
`void` `testCollectionConfigurationService6()`
`void` `testMultipleConfigurations00()`
`void` `testMultipleConfigurations01()`
`void` `testMultipleConfigurations02()`
`void` `testMultipleConfigurations03()`
`void` `testMultipleConfigurations04()`
`void` `testMultipleConfigurations05()`
`void` `testMultipleConfigurations06()`
`void` `testMultipleConfigurations07()`
`void` `testMultipleConfigurations08()`
`void` `testMultipleConfigurations09()`
`void` `testMultipleConfigurations10()`
`void` `testMultipleConfigurations11()`
`void` `testMultipleConfigurations12()`
`void` `testMultipleConfigurations13()`
`void` `testMultipleConfigurations14()`
`void` `testMultipleConfigurations15()`
`void` `testRangeIndex1()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionConfigurationTest

    public CollectionConfigurationTest()

Method Detail

### testCollectionConfigurationService1

    public void testCollectionConfigurationService1()

### testCollectionConfigurationService2

    public void testCollectionConfigurationService2()

### testCollectionConfigurationService3

    public void testCollectionConfigurationService3()

### testCollectionConfigurationService4

    public void testCollectionConfigurationService4()

### testCollectionConfigurationService5

    public void testCollectionConfigurationService5()

### testCollectionConfigurationService6

    public void testCollectionConfigurationService6()

### testRangeIndex1

    public void testRangeIndex1()

### testMultipleConfigurations00

    public void testMultipleConfigurations00()

### testMultipleConfigurations01

    public void testMultipleConfigurations01()

### testMultipleConfigurations02

    public void testMultipleConfigurations02()

### testMultipleConfigurations03

    public void testMultipleConfigurations03()

### testMultipleConfigurations04

    public void testMultipleConfigurations04()

### testMultipleConfigurations05

    public void testMultipleConfigurations05()

### testMultipleConfigurations06

    public void testMultipleConfigurations06()

### testMultipleConfigurations07

    public void testMultipleConfigurations07()

### testMultipleConfigurations08

    public void testMultipleConfigurations08()

### testMultipleConfigurations09

    public void testMultipleConfigurations09()

### testMultipleConfigurations10

    public void testMultipleConfigurations10()

### testMultipleConfigurations11

    public void testMultipleConfigurations11()

### testMultipleConfigurations12

    public void testMultipleConfigurations12()

### testMultipleConfigurations13

    public void testMultipleConfigurations13()

### testMultipleConfigurations14

    public void testMultipleConfigurations14()

### testMultipleConfigurations15

    public void testMultipleConfigurations15()

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.